Executive Summary



This Alert is flagged as TOP 25 Common Weakness Enumeration from CWE/SANS. For more information, you can read this.
Informations
Name CVE-2018-16874 First vendor Publication 2018-12-14
Vendor Cve Last vendor Modification 2019-06-03

Security-Database Scoring CVSS v3

Cvss vector : CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H
Overall CVSS Score 8.1
Base Score 8.1 Environmental Score 8.1
impact SubScore 5.9 Temporal Score 8.1
Exploitabality Sub Score 2.2
 
Attack Vector Network Attack Complexity High
Privileges Required None User Interaction None
Scope Unchanged Confidentiality Impact High
Integrity Impact High Availability Impact High
Calculate full CVSS 3.0 Vectors scores

Security-Database Scoring CVSS v2

Cvss vector : (AV:N/AC:M/Au:N/C:P/I:P/A:P)
Cvss Base Score 6.8 Attack Range Network
Cvss Impact Score 6.4 Attack Complexity Medium
Cvss Expoit Score 8.6 Authentication None Required
Calculate full CVSS 2.0 Vectors scores

Detail

In Go before 1.10.6 and 1.11.x before 1.11.3, the "go get" command is vulnerable to directory traversal when executed with the import path of a malicious Go package which contains curly braces (both '{' and '}' characters). Specifically, it is only vulnerable in GOPATH mode, but not in module mode (the distinction is documented at https://golang.org/cmd/go/#hdr-Module_aware_go_get). The attacker can cause an arbitrary filesystem write, which can lead to code execution.

Original Source

Url : http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-16874

CWE : Common Weakness Enumeration

% Id Name
100 % CWE-22 Improper Limitation of a Pathname to a Restricted Directory ('Path Traversal') (CWE/SANS Top 25)

CPE : Common Platform Enumeration

TypeDescriptionCount
Application 119
Os 1

Nessus® Vulnerability Scanner

Date Description
2019-01-11 Name : The remote Fedora host is missing a security update.
File : fedora_2019-1198005e1f.nasl - Type : ACT_GATHER_INFO
2019-01-11 Name : The remote Fedora host is missing a security update.
File : fedora_2019-c424e3bb72.nasl - Type : ACT_GATHER_INFO
2018-12-24 Name : The remote Gentoo host is missing one or more security-related patches.
File : gentoo_GLSA-201812-09.nasl - Type : ACT_GATHER_INFO
2018-12-17 Name : The remote Amazon Linux AMI host is missing a security update.
File : ala_ALAS-2018-1130.nasl - Type : ACT_GATHER_INFO

Sources (Detail)

Source Url
BID http://www.securityfocus.com/bid/106228
CONFIRM https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2018-16874
GENTOO https://security.gentoo.org/glsa/201812-09
MISC https://groups.google.com/forum/?pli=1#!topic/golang-announce/Kw31K8G7Fi0
SUSE http://lists.opensuse.org/opensuse-security-announce/2019-03/msg00044.html
http://lists.opensuse.org/opensuse-security-announce/2019-05/msg00060.html
http://lists.opensuse.org/opensuse-security-announce/2019-06/msg00011.html
http://lists.opensuse.org/opensuse-security-announce/2019-06/msg00015.html
http://lists.opensuse.org/opensuse-security-announce/2019-07/msg00010.html
http://lists.opensuse.org/opensuse-security-announce/2020-04/msg00041.html

Alert History

If you want to see full details history, please login or register.
0
1
2
3
4
5
6
7
8
9
10
11
Date Informations
2020-05-23 02:12:54
  • Multiple Updates
2020-05-23 01:09:34
  • Multiple Updates
2019-06-04 00:19:03
  • Multiple Updates
2019-06-03 21:19:18
  • Multiple Updates
2019-05-27 17:19:20
  • Multiple Updates
2019-04-19 21:19:26
  • Multiple Updates
2019-04-17 00:19:09
  • Multiple Updates
2019-03-30 09:19:23
  • Multiple Updates
2019-02-02 00:19:13
  • Multiple Updates
2018-12-22 17:19:18
  • Multiple Updates
2018-12-19 17:19:02
  • Multiple Updates
2018-12-14 17:19:15
  • First insertion